

Don't typecast when assigning to and from void*'s

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/input/misc/uinput.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

diff -puN drivers/input/misc/uinput.c~force-feedback-support-for-uinput-cleanup drivers/input/misc/uinput.c
--- 25/drivers/input/misc/uinput.c~force-feedback-support-for-uinput-cleanup	Wed Nov 10 16:33:52 2004
+++ 25-akpm/drivers/input/misc/uinput.c	Wed Nov 10 16:33:52 2004
@@ -50,7 +50,7 @@ static int uinput_dev_event(struct input
 {
 	struct uinput_device	*udev;
 
-	udev = (struct uinput_device *)dev->private;
+	udev = dev->private;
 
 	udev->buff[udev->head].type = type;
 	udev->buff[udev->head].code = code;
@@ -66,7 +66,7 @@ static int uinput_dev_event(struct input
 static int uinput_request_alloc_id(struct input_dev *dev, struct uinput_request *request)
 {
 	/* Atomically allocate an ID for the given request. Returns 0 on success. */
-	struct uinput_device *udev = (struct uinput_device *)dev->private;
+	struct uinput_device *udev = dev->private;
 	int id;
 
 	down(&udev->requests_sem);
@@ -93,7 +93,7 @@ static struct uinput_request* uinput_req
 
 static void uinput_request_init(struct input_dev *dev, struct uinput_request *request, int code)
 {
-	struct uinput_device *udev = (struct uinput_device *)dev->private;
+	struct uinput_device *udev = dev->private;
 
 	memset(request, 0, sizeof(struct uinput_request));
 	request->code = code;
@@ -106,7 +106,7 @@ static void uinput_request_init(struct i
 
 static void uinput_request_submit(struct input_dev *dev, struct uinput_request *request)
 {
-	struct uinput_device *udev = (struct uinput_device *)dev->private;
+	struct uinput_device *udev = dev->private;
 	int retval;
 
 	/* Tell our userspace app about this new request by queueing an input event */
@@ -260,7 +260,7 @@ static int uinput_alloc_device(struct fi
 
 	retval = count;
 
-	udev = (struct uinput_device *)file->private_data;
+	udev = file->private_data;
 	dev = udev->dev;
 
 	user_dev = kmalloc(sizeof(*user_dev), GFP_KERNEL);
@@ -312,7 +312,7 @@ exit:
 
 static ssize_t uinput_write(struct file *file, const char __user *buffer, size_t count, loff_t *ppos)
 {
-	struct uinput_device	*udev = file->private_data;
+	struct uinput_device *udev = file->private_data;
 
 	if (test_bit(UIST_CREATED, &(udev->state))) {
 		struct input_event	ev;
@@ -389,7 +389,7 @@ static int uinput_burn_device(struct uin
 
 static int uinput_close(struct inode *inode, struct file *file)
 {
-	return uinput_burn_device((struct uinput_device *)file->private_data);
+	return uinput_burn_device(file->private_data);
 }
 
 static int uinput_ioctl(struct inode *inode, struct file *file, unsigned int cmd, unsigned long arg)
@@ -402,7 +402,7 @@ static int uinput_ioctl(struct inode *in
 	struct uinput_request   *req;
 	int                     length;
 
-	udev = (struct uinput_device *)file->private_data;
+	udev = file->private_data;
 
 	/* device attributes can not be changed after the device is created */
 	switch (cmd) {
_
